Jre21Compat (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.tomcat.util.compat, class: Jre21Compat

# Class Jre21Compat

java.lang.Object
org.apache.tomcat.util.compat.JreCompat
org.apache.tomcat.util.compat.Jre12Compat
org.apache.tomcat.util.compat.Jre19Compat
org.apache.tomcat.util.compat.Jre20Compat
org.apache.tomcat.util.compat.Jre21Compat

Direct Known Subclasses:
  `Jre22Compat`

public class Jre21Compat extends Jre20Compat

- ## Field Summary

  ### Fields inherited from class JreCompat

  `canonCachesDisabled, canonCachesDisabledLock, USE_CANON_CACHES_CMD_ARG, useCanonCachesField, useCanonCachesFieldLock`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jre21Compat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `callAs(Subject subject, Callable<T> action)`
  `Object`
  `createVirtualThreadBuilder(String name)`
  Create a thread builder for virtual threads using the given name to name the threads.
  `boolean`
  `disableCanonCaches()`
  Disable the global canonical file cache.
  `SocketAddress`
  `getUnixDomainSocketAddress(String path)`
  Return Unix domain socket address for given path.
  `boolean`
  `isCanonCachesDisabled()`
  `ServerSocketChannel`
  `openUnixDomainServerSocketChannel()`
  Create server socket channel using the Unix domain socket ProtocolFamily.
  `SocketChannel`
  `openUnixDomainSocketChannel()`
  Create socket channel using the Unix domain socket ProtocolFamily.
  `void`
  `threadBuilderStart(Object threadBuilder, Runnable command)`
  Create a thread with the given thread builder and use it to execute the given runnable.

  ### Methods inherited from class Jre20Compat

  `setNamedGroupsMethod`

  ### Methods inherited from class Jre19Compat

  `getExecutor`

  ### Methods inherited from class Jre12Compat

  `ensureUseCanonCachesFieldIsPopulated`

  ### Methods inherited from class JreCompat

  `getInstance, isGraalAvailable, isJre12Available, isJre16Available, isJre19Available, isJre20Available, isJre21Available, isJre22Available`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Jre21Compat

    public Jre21Compat()

- ## Method Details

  - ### createVirtualThreadBuilder

    public Object createVirtualThreadBuilder(String name)
    Description copied from class: `JreCompat`
    Create a thread builder for virtual threads using the given name to name the threads.
    Overrides:
      `createVirtualThreadBuilder` in class `JreCompat`
    Parameters:
      `name` - The base name for the threads
    Returns:
      The thread buidler for virtual threads

  - ### threadBuilderStart

    public void threadBuilderStart(Object threadBuilder, Runnable command)
    Description copied from class: `JreCompat`
    Create a thread with the given thread builder and use it to execute the given runnable.
    Overrides:
      `threadBuilderStart` in class `JreCompat`
    Parameters:
      `threadBuilder` - The thread builder to use to create a thread
      `command` - The command to run

  - ### callAs

    public <T> T callAs(Subject subject, Callable<T> action) throws CompletionException
    Overrides:
      `callAs` in class `JreCompat`
    Throws:
      `CompletionException`

  - ### isCanonCachesDisabled

    public boolean isCanonCachesDisabled()
    Overrides:
      `isCanonCachesDisabled` in class `Jre12Compat`

  - ### disableCanonCaches

    public boolean disableCanonCaches()
    Description copied from class: `JreCompat`
    Disable the global canonical file cache.
    Overrides:
      `disableCanonCaches` in class `JreCompat`
    Returns:
      `true` if the global canonical file cache was already disabled prior to this call or was disabled as a result of this call, otherwise `false`

  - ### getUnixDomainSocketAddress

    public SocketAddress getUnixDomainSocketAddress(String path)
    Description copied from class: `JreCompat`
    Return Unix domain socket address for given path.
    Overrides:
      `getUnixDomainSocketAddress` in class `JreCompat`
    Parameters:
      `path` - The path
    Returns:
      the socket address

  - ### openUnixDomainServerSocketChannel

    public ServerSocketChannel openUnixDomainServerSocketChannel()
    Description copied from class: `JreCompat`
    Create server socket channel using the Unix domain socket ProtocolFamily.
    Overrides:
      `openUnixDomainServerSocketChannel` in class `JreCompat`
    Returns:
      the server socket channel

  - ### openUnixDomainSocketChannel

    public SocketChannel openUnixDomainSocketChannel()
    Description copied from class: `JreCompat`
    Create socket channel using the Unix domain socket ProtocolFamily.
    Overrides:
      `openUnixDomainSocketChannel` in class `JreCompat`
    Returns:
      the socket channel